"""$URL: svn+ssh://svn.mems-exchange.org/repos/trunk/toboso/lib/base.py $
$Id: base.py 23189 2003-11-17 19:45:56Z dbinger $
"""

from dulcinea.site_util import get_dbspec
from dulcinea.database import ObjectDatabase

_db = ObjectDatabase()

def get_database():
    return _db

def open_database(dbspec=None):
    if dbspec is None:
        dbspec = get_dbspec("toboso")
    _db.open(dbspec=dbspec)
    return _db

def close_database():
    _db.close()

def get_root():
    return _db.root

def get_user_database():
    return _db.user_db

def get_resource_database():
    return _db.resources

def get_calendar():
    return _db.calendar

def get_session_manager():
    return _db.session_manager

def get_connection():
    return _db.connection

